//
//  UIWebViewPageViewController.m
//  UIWebViewPage
//
//  Created by  on 9/19/12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import "UIWebViewPageViewController.h"

@implementation UIWebViewPageViewController
@synthesize webView;

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Release any cached data, images, etc that aren't in use.
}

#pragma mark - View lifecycle

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
    
    // 將htm檔載入UIWebView
    NSString *path;
	NSBundle *thisBundle = [NSBundle mainBundle];
    path = [thisBundle pathForResource:@"2012-09-19" ofType:@"htm"];
    // make a file: URL out of the path
	NSURL *instructionsURL = [NSURL fileURLWithPath:path];
	[webView loadRequest:[NSURLRequest requestWithURL:instructionsURL]];
    
    //for iOS 4.x pagination
    // 以下是針對iOS4.x做UIWebView分頁
    // 「pagingEnabled = YES;」將html檔案切成一頁一頁需將每一個subview均pagingEnabled
    // 同時，不要反彈，「bounces = NO;」
    // 同時，不要有橫向滑動軸，「showsHorizontalScrollIndicator = NO;」
    // 同時，不要有直向滑動軸，「showsVerticalScrollIndicator = NO;」
   
    for(id subview in webView.subviews)
        if ([[subview class] isSubclassOfClass:[UIScrollView class]]) {
            ((UIScrollView *)subview).pagingEnabled = YES;
            ((UIScrollView *)subview).bounces = NO;
            ((UIScrollView *)subview).showsHorizontalScrollIndicator = NO;
            ((UIScrollView *)subview).showsVerticalScrollIndicator = NO;
            break;
    }
    
    // for iOS 5.0 pagination
    // 以下是針對iOS5做UIWebView分頁，iOS5在UIWebView下有scrollView，所以不需要再對所有subview設定
    // 可以試試將上段iOS4.x部份註解comment掉並用以下這一段
    /*
     self.webView.scrollView.pagingEnabled = YES;
     self.webView.scrollView.bounces = NO;
     self.webView.scrollView.showsHorizontalScrollIndicator = NO;
     self.webView.scrollView.showsVerticalScrollIndicator = NO;
     */
}

- (void)viewDidUnload
{
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}

- (void)viewWillAppear:(BOOL)animated
{
    [super viewWillAppear:animated];
}

- (void)viewDidAppear:(BOOL)animated
{
    [super viewDidAppear:animated];
}

- (void)viewWillDisappear:(BOOL)animated
{
	[super viewWillDisappear:animated];
}

- (void)viewDidDisappear:(BOOL)animated
{
	[super viewDidDisappear:animated];
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    // Return YES for supported orientations
    return (interfaceOrientation != UIInterfaceOrientationPortraitUpsideDown);
}

@end
